Bug 102943 - Combobox dropdown property setting ignored when set via basic macro
Summary: Combobox dropdown property setting ignored when set via basic macro
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Base (show other bugs)
Version:
(earliest affected)
3.6.7.2 release
Hardware: x86-64 (AMD64) All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Macro
  Show dependency treegraph
 
Reported: 2016-10-03 22:06 UTC by Alessandro Tassi
Modified: 2021-09-25 03:39 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Open the form. Change the text in the combobox. (12.77 KB, application/vnd.oasis.opendocument.database)
2016-10-09 18:16 UTC, Robert Großkopf
Details
db file with macro attempting to change combobox dropdown property (82.24 KB, application/octet-stream)
2016-10-12 18:57 UTC, Alessandro Tassi
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Alessandro Tassi 2016-10-03 22:06:57 UTC
Hallo,
toggling the "Dropdown" property of a combobox in a Basic macro doesn't take any effect.
The dropdown menu should appear when setting that value to "true" and the right-hand arrow should disappear:


Sub comboFiltro(e)
Dim combo As Object
combo = e.Source.Model
combo.Dropdown=false	'<------- ERROR THE COMBOBOX REMAINS AS IS
End Sub


It should change appearence as explained in this wiki:
https://wiki.openoffice.org/wiki/Documentation/DevGuade/Basic/Combo_Box

The same problem I encountered with List Boxes.

Thanks a lot.

Alessandro
Comment 1 Alex Thurgood 2016-10-04 07:41:17 UTC
@Alessandro : please provide a small sample ODB file containing the macro code which you consider to be problematic and an explanation of how to trigger that code.

Setting NEEDINFO, please set back to UNCONFIRMED once you have provided the requested information.
Comment 4 Robert Großkopf 2016-10-09 18:16:19 UTC
Created attachment 127899 [details]
Open the form. Change the text in the combobox.

Open the form and write a new character in the combobox. There should appear a messagebox. The dropdown has been changed to 
Dropdown = False
If there is running xray on your machine you could control the change happend.
But you couldn't see any effect.

Seems to be an old bug. Have also tested with LO 4.4.7.2 - doesn't work.
Comment 5 Robert Großkopf 2016-10-10 05:58:15 UTC
Following comment4 I will set this to NEW.
Comment 6 Robert Großkopf 2016-10-10 06:02:30 UTC
Same behavior in LO 3.6.7.2 on OpenSUSE 64bit rpm Linux. Could be the bug has been inherited from OOo. I will set this to the earliest effected version I have tested.
Comment 7 Alessandro Tassi 2016-10-12 18:57:38 UTC
Created attachment 127978 [details]
db file with macro attempting to change combobox dropdown property

Hallo,
Here there is the attachment you asked me including a marco attempting to change the dropdown property of a combobox by pushing the "change" button.
Thanks again
Alessandro
Comment 8 Alex Thurgood 2016-10-13 16:35:57 UTC
Changed title to better reflect problem.
Comment 9 Alex Thurgood 2016-10-13 16:36:39 UTC
Tested on OSX with LO 5212, confirming also with that OS.
Comment 10 QA Administrators 2017-10-23 13:58:32 UTC Comment hidden (obsolete)
Comment 11 Alessandro Tassi 2018-03-08 06:30:52 UTC
Hi,
the problem is still there how you can easily test by the attached file.
Current installed version by my Linux Arch distribution of LO is:

Version: 6.0.2.1.0+
Build ID: 6.0.2-1
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk2; 
Locale: it-IT (it_IT.utf8); Calc: group

Thanks again.

Alessandro
Comment 12 Alessandro Tassi 2018-03-08 06:46:15 UTC
HI, 
I've not succeeded installing a 3.3 version of LO on Linux due to an error loading a component library file called "libsfxlx.so",
But I've tried using a previous installed version of Openoffice (4.1.2) and the bug is the same so I can confirm it has been inherited by OOO.

Alessandro
Comment 13 QA Administrators 2019-09-25 03:01:18 UTC Comment hidden (obsolete)
Comment 14 QA Administrators 2021-09-25 03:39:06 UTC
Dear Alessandro Tassi,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug